Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated.events
Interface ContentEventConstants

    public interface ContentEventConstants

Constants used by content event generation.

Field Summary
`static String` | `CONFIG_REPO_CREATE`
`static String` | `CONFIG_REPO_DELETE`
`static String` | `CONFIG_REPO_UPDATE`
`static String` | `CONFIG_TYPE_CREATE`
`static String` | `CONFIG_TYPE_DELETE`
`static String` | `CONFIG_TYPE_RENAME`
`static String` | `CONFIG_TYPE_UPDATE`
`static String` | `CONFIG_WORKFLOW_CREATE`
`static String` | `CONFIG_WORKFLOW_DELETE`
`static String` | `CONFIG_WORKFLOW_UPDATE`
`static String` | `CONTENT_CONFIG_EVENT_TYPE`
`static String` | `CONTENT_CREATE_EVENT_TYPE`
`static String` | `CONTENT_DELETE_EVENT_TYPE`
`static String` | `CONTENT_UPDATE_EVENT_TYPE`
`static String` | `EVENT_PROPERTY_ACTION`
`static String` | `EVENT_PROPERTY_CONTENT_TYPE`
`static String` | `EVENT_PROPERTY_DESTINATION`
`static String` | `EVENT_PROPERTY_NODE_ID`
`static String` | `EVENT_PROPERTY_NODE_NAME`
`static String` | `EVENT_PROPERTY_PATH`
`static String` | `EVENT_PROPERTY_REPOSITORY`
`static String` | `EVENT_PROPERTY_STATUS`
`static String` | `EVENT_PROPERTY_TARGET`
`static String` | `UPDATE_ASSOC__WORKFLOW`
`static String` | `UPDATE_CHECKIN`
`static String` | `UPDATE_CHECKOUT`
`static String` | `UPDATE_CHILD_NODE_ORDER`
`static String` | `UPDATE_COPY`
`static String` | `UPDATE_MOVE`
`static String` | `UPDATE_PUBLISH`
`static String` | `UPDATE_REMOVE_WORKFLOW`
`static String` | `UPDATE_RENAME`
`static String` | `UPDATE_REVERT`
`static String` | `UPDATE_SAVE`

Field Detail

### CONTENT_CREATE_EVENT_TYPE

    static final String CONTENT_CREATE_EVENT_TYPE

See Also
  Constants Summary

### CONTENT_DELETE_EVENT_TYPE

    static final String CONTENT_DELETE_EVENT_TYPE

See Also
  Constants Summary

### CONTENT_UPDATE_EVENT_TYPE

    static final String CONTENT_UPDATE_EVENT_TYPE

See Also
  Constants Summary

### CONTENT_CONFIG_EVENT_TYPE

    static final String CONTENT_CONFIG_EVENT_TYPE

See Also
  Constants Summary

### UPDATE_RENAME

    static final String UPDATE_RENAME

See Also
  Constants Summary

### UPDATE_COPY

    static final String UPDATE_COPY

See Also
  Constants Summary

### UPDATE_MOVE

    static final String UPDATE_MOVE

See Also
  Constants Summary

### UPDATE_CHILD_NODE_ORDER

    static final String UPDATE_CHILD_NODE_ORDER

See Also
  Constants Summary

### UPDATE_CHECKIN

    static final String UPDATE_CHECKIN

See Also
  Constants Summary

### UPDATE_CHECKOUT

    static final String UPDATE_CHECKOUT

See Also
  Constants Summary

### UPDATE_REVERT

    static final String UPDATE_REVERT

See Also
  Constants Summary

### UPDATE_ASSOC__WORKFLOW

    static final String UPDATE_ASSOC__WORKFLOW

See Also
  Constants Summary

### UPDATE_REMOVE_WORKFLOW

    static final String UPDATE_REMOVE_WORKFLOW

See Also
  Constants Summary

### UPDATE_PUBLISH

    static final String UPDATE_PUBLISH

See Also
  Constants Summary

### UPDATE_SAVE

    static final String UPDATE_SAVE

See Also
  Constants Summary

### EVENT_PROPERTY_NODE_NAME

    static final String EVENT_PROPERTY_NODE_NAME

See Also
  Constants Summary

### EVENT_PROPERTY_NODE_ID

    static final String EVENT_PROPERTY_NODE_ID

See Also
  Constants Summary

### EVENT_PROPERTY_REPOSITORY

    static final String EVENT_PROPERTY_REPOSITORY

See Also
  Constants Summary

### EVENT_PROPERTY_PATH

    static final String EVENT_PROPERTY_PATH

See Also
  Constants Summary

### EVENT_PROPERTY_ACTION

    static final String EVENT_PROPERTY_ACTION

See Also
  Constants Summary

### EVENT_PROPERTY_STATUS

    static final String EVENT_PROPERTY_STATUS

See Also
  Constants Summary

### EVENT_PROPERTY_CONTENT_TYPE

    static final String EVENT_PROPERTY_CONTENT_TYPE

See Also
  Constants Summary

### EVENT_PROPERTY_DESTINATION

    static final String EVENT_PROPERTY_DESTINATION

See Also
  Constants Summary

### EVENT_PROPERTY_TARGET

    static final String EVENT_PROPERTY_TARGET

See Also
  Constants Summary

### CONFIG_WORKFLOW_CREATE

    static final String CONFIG_WORKFLOW_CREATE

See Also
  Constants Summary

### CONFIG_WORKFLOW_DELETE

    static final String CONFIG_WORKFLOW_DELETE

See Also
  Constants Summary

### CONFIG_WORKFLOW_UPDATE

    static final String CONFIG_WORKFLOW_UPDATE

See Also
  Constants Summary

### CONFIG_TYPE_CREATE

    static final String CONFIG_TYPE_CREATE

See Also
  Constants Summary

### CONFIG_TYPE_DELETE

    static final String CONFIG_TYPE_DELETE

See Also
  Constants Summary

### CONFIG_TYPE_UPDATE

    static final String CONFIG_TYPE_UPDATE

See Also
  Constants Summary

### CONFIG_TYPE_RENAME

    static final String CONFIG_TYPE_RENAME

See Also
  Constants Summary

### CONFIG_REPO_CREATE

    static final String CONFIG_REPO_CREATE

See Also
  Constants Summary

### CONFIG_REPO_DELETE

    static final String CONFIG_REPO_DELETE

See Also
  Constants Summary

### CONFIG_REPO_UPDATE

    static final String CONFIG_REPO_UPDATE

See Also
  Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.